Public Member Functions

# NoCompLoadFilter Struct Reference

Filter without any compression. More...

Inheritance diagram for NoCompLoadFilter:

## Public Member Functions
| NoCompLoadFilter (LoadFilter *chain)
| Initialise this filter.
size_t | Read (byte *buf, size_t size)
| Read a given number of bytes from the savegame.

## Detailed Description

Filter without any compression.

Definition at line 1980 of file saveload.cpp.

## Constructor & Destructor Documentation

NoCompLoadFilter::NoCompLoadFilter | ( | LoadFilter * | chain | ) | `[inline]`

Initialise this filter.

Parameters:

  | chain | The next filter in this chain.

Definition at line 1985 of file saveload.cpp.

## Member Function Documentation

size_t NoCompLoadFilter::Read | ( | byte * | buf,
|  | size_t | len |
| ) |  |  | `[inline, virtual]`

Read a given number of bytes from the savegame.

Parameters:

  | buf | The bytes to read.
  | len | The number of bytes to read.

Returns:
  The number of actually read bytes.

Implements LoadFilter.

Definition at line 1989 of file saveload.cpp.

References LoadFilter::chain, and LoadFilter::Read().

The documentation for this struct was generated from the following file:

- src/saveload/saveload.cpp